start:

' This is a routine for working with the CONFIG.SYS file.

cls
print "                      View or Change Your CONFIG.SYS File
print
print
input "On which drive is your CONFIG.SYS file";drive$

redrive:
drive$=drive$+"\"
if drive$="a:\" then file1$="a:\config.sys
if drive$="A:\" then file1$="a:\config.sys
if drive$="b:\" then file1$="b:\config.sys
if drive$="B:\" then file1$="b:\config.sys
if drive$="c:\" then file1$="c:\config.sys
if drive$="C:\" then file1$="c:\config.sys
if drive$="d:\" then file1$="d:\config.sys
if drive$="D:\" then file1$="d:\config.sys
if drive$="a:\" then file2$="a:\config.bak
if drive$="A:\" then file2$="a:\config.bak
if drive$="b:\" then file2$="b:\config.bak
if drive$="B:\" then file2$="b:\config.bak
if drive$="c:\" then file2$="c:\config.bak
if drive$="C:\" then file2$="c:\config.bak
if drive$="d:\" then file2$="d:\config.bak
if drive$="D:\" then file2$="d:\config.bak

confmenu:
cls
print "You have the following options:"
print
print
print "1- Just view the CONFIG.SYS file."
print
print "2- Add lines to the end of your file."
print
print "3- Create a new CONFIG.SYS file."
print
print "4- Return to the Main Options Menu."
print
print
print
input "Please press the number corresponding to your choice, and then press Enter. ",chngview$

if chngview$="1" then 
cls
gosub seesys
goto confmenu
end if

if chngview$="2" then 
cls
gosub appendln
gosub seesys
goto confmenu
end if

if chngview$="3" then 
cls
goto newfilec
end if

if chngview$="4" then goto finish
goto confmenu



'This section creates a new CONFIG.SYS file.

newfilec:
cls
open file1$ for input as 1
open file2$ for output as 2
while not eof(1)
line input # 1, a$
print# 2, a$
wend
close # 1
close # 2
kill file1$
print
print
print "Your CONFIG.SYS file has been changed to CONFIG.BAK in order to save it for
print "future use.  To use it later, it will have to be renamed to something else
print "(for example, CONFIG.X)."
print
print
print
print "Press any key to continue. ";
gosub presskey

changeagn:
cls
open file1$ for output as 1
print "How many files do you want?
input "To quit, press Q and Enter. ",filenumb$
if filenumb$="q" or filenumb$="Q" then goto restorec
print# 1, "files=";filenumb$
print
print
print
input "How many buffers do you want";buffer$
print# 1, "buffers=";buffer$

devcagain:
print
input "Which device would you like to include (N for none)";device$
if device$="n" or device$="N" then goto nodevice
print# 1, "devices=";device$
print
input "Would you like to include more devices";incldmore$
if incldmore$="y" or incldmore$="Y" then goto devcagain

nodevice:
print
input "Do you want Break on or off (if not sure, type OFF)";breakyn$
if breakyn$="on" or breakyn$="ON" then print# 1, "break=on
close # 1
gosub seesys
print
print
print
print "If this is not O.K. AND you want to go back and change the file, press C and
print "then press Enter."
print
print "To restore your original CONFIG.SYS file, press R and Enter.
print
input "If you're happy with it as is, type OK and Enter. ",change$

okdecide:
if change$="c" or change$="C" then goto changeagn
if change$="r" or change$="R" then goto restorec
if change$="ok" or change$="OK" then goto confmenu
print
input "You must choose between C, R, or OK. ",change$:goto okdecide


restorec:
cls
reset
kill file1$
open file2$ for input as 1
open file1$ for output as 2
while not eof(1)
line input # 1, a$
print# 2, a$
wend
reset
print "Your original CONFIG.SYS file has been restored."
print
print
print "Press any key to continue. ";
gosub presskey
goto confmenu

'This is the end of the routine for working with the CONFIG.SYS file.


' Here is the routine for looking at the CONFIG.SYS file.

seesys:
reset
cls
print "Here is your file:"
print
open file1$ for input as 1
while not eof(1)
line input # 1, a$
print a$
wend
close # 1
print
print
print "Press any key to continue. ";
gosub presskey
return

'This is the end of the routine for looking at the CONFIG.SYS file.



'Here is the routine for adding lines to the end of CONFIG.SYS.

appendln:
reset
open file1$ for append as 1

appendagn:
print
input "Line to add (Q to quit)";appendln$
if appendln$="q" or appendln$="Q" then close # 1:return
print# 1, appendln$
goto appendagn

'This is the end of the routine for adding lines to CONFIG.SYS.


'Here is the routine for continuing when the user presses a key.

presskey:
wait:
a$=inkey$
if a$="" then goto wait
return


'Here is the routine for ending the program.

finish:
end
